std::islessgreater(3)

NAME
std::islessgreater - std::islessgreater

Synopsis
   Defined in header <cmath>
   bool islessgreater( float x, float y ); (1) (since C++11)
                        (constexpr since C++23)
   bool islessgreater( double x, double y ); (2) (since C++11)
                        (constexpr since C++23)
   bool islessgreater( long double x, long double y ); (3) (since C++11)
                        (constexpr since C++23)
   bool islessgreater( Arithmetic x, Arithmetic y ); (4) (since C++11)
                        (constexpr since C++23)
   1-3) Determines if the floating point number x is less than or greater than the
   floating-point number y, without setting floating-point exceptions.
   4) A set of overloads or a function template for all combinations of arguments of
   arithmetic type not covered by (1-3). If any argument has integral type, it is cast
   to double.

Parameters
   x - floating point value
   y - floating point value

Return value
   true if x < y || x > y, false otherwise

Notes
   The built-in operator< and operator> for floating-point numbers may raise FE_INVALID
   if one or both of the arguments is NaN. This function is a "quiet" version of the
   expression x < y || x > y.

See also
   isless checks if the first floating-point argument is less than the second
   (C++11) (function)
   isgreater checks if the first floating-point argument is greater than the second
   (C++11) (function)